Subject: bug#12032: closed (Re: bug#12032: quasiquote is too slow)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Aug 2012 08:58:02 +0000

Your bug report

#12032: quasiquote is too slow

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12032: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12032
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12032: quasiquote is too slow
From: [email-masked] (Ludovic Courtès)
To: nalaginrut <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Aug 2012 10:57:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, Nala,

nalaginrut <[email-masked]> skribis:

> Yes, Ludo, I realized that my measurement was little different:
> -----------code---------
> echo 6000 | ./v1.scm 1>/dev/null
> -----------end----------
> So I believe the delayed time caused by I/O.
>
> But I can't reproduce the measure data I provided now(both
> stable-2.0/wip-rtl), since it's been a while, I guess the later Guile
> got some promotion? And I can't remember the commit version I've tried
> (hmm...I should provide it). 

So I’m closing this bug for now.  However, feel free to reopen it, or
open another one, if you find the problem is still there.  But please,
make sure to reduce your benchmark as much as possible.

Thanks!

Ludo’.

Subject: quasiquote is too slow
From: nalaginrut <[email-masked]>
To: [email-masked]
Date: Mon, 23 Jul 2012 14:10:47 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I think our quasiquote is too slow, here's an algorithm to test it.
1. quasiquote version:
https://gist.github.com/3148984
2. use list append to instead
https://gist.github.com/3148977

The input value is 6000.
v1 cost ~50s for me.
v2 ~16s.

But quasiquote is more elegant I think.

Regards.